Page MenuHomePhabricator

[CMake] Bump CMake minimum version to 3.13.4
ClosedPublic

Authored by ldionne on Apr 22 2020, 8:26 AM.
Tags
  • Restricted Project
  • Restricted Project
  • Restricted Project
  • Restricted Project
  • Restricted Project
  • Restricted Project
  • Restricted Project
  • Restricted Project
  • Restricted Project

Details

Reviewers
bollu
lebedev.ri
smeenai
DavidTruby
jdoerfert
ftynse
Group Reviewers
Restricted Project
Restricted Project
Restricted Project
Commits
rGafa1afd4108d: [CMake] Bump CMake minimum version to 3.13.4
Summary

This upgrade should be friction-less because we've already been ensuring
that CMake >= 3.13.4 is used.

This is part of the effort discussed on llvm-dev here:

http://lists.llvm.org/pipermail/llvm-dev/2020-April/140578.html

Diff Detail

Event Timeline

ldionne created this revision.Apr 22 2020, 8:26 AM
Herald added projects: Restricted Project, Restricted Project, Restricted Project, Restricted Project, Restricted Project, Restricted Project, Restricted Project. · View Herald Transcript
Herald added a reviewer: Restricted Project. · View Herald Transcript
Herald added a reviewer: Restricted Project. · View Herald Transcript
Herald added a reviewer: Restricted Project. · View Herald Transcript

This review is for the upcoming CMake upgrade once we branch off the LLVM 11 release branch.

I won't apply it until after the branch has been created, which is around July.

ldionne accepted this revision as: Restricted Project, Restricted Project, Restricted Project.Apr 22 2020, 8:32 AM
jdoerfert resigned from this revision.Apr 22 2020, 10:29 AM
ftynse resigned from this revision.Apr 23 2020, 7:30 AM
smeenai accepted this revision.Apr 23 2020, 1:35 PM
smeenai added a subscriber: smeenai.

With the newer minimum CMake version, we can eliminate a bunch of the policy settings as well, but that can be a follow-up (especially given this isn't gonna ship for a few months).

(Another followup would be to add a max version to our cmake_minimum_required, to streamline policy settings even further. See https://cmake.org/cmake/help/latest/command/cmake_policy.html for details.)

llvm/docs/CMakePrimer.rst
57

Is the higher minimum here for future-proofing?

This revision is now accepted and ready to land.Apr 23 2020, 1:35 PM
DavidTruby resigned from this revision.Apr 24 2020, 7:40 AM

Okay, the previous patch has landed and no issues have come up, so I'm going to move forward with this patch now.

Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptJul 22 2020, 11:24 AM
This revision was automatically updated to reflect the committed changes.